# Class Entity

Namespace
  adas_core.Domain.Models

Assembly
  adas-core.Domain.dll

Represents a general-purpose entity within the application domain.

    public class Entity

Inheritance
  object
  Entity

Inherited Members
  object.Equals(object)
  object.Equals(object, object)
  object.GetHashCode()
  object.GetType()
  object.MemberwiseClone()
  object.ReferenceEquals(object, object)
  object.ToString()

Extension Methods
  NumberUtils.IsNumber(object)
  NumberUtils.ToDouble(object)
  ObjectUtils.ToStr(object?)

## Remarks

Serves as a foundational or domain-level type that can be extended or composed to model real-world concepts.

## Properties

### EntityIdentifier

    public string? EntityIdentifier { get; set; }

#### Property Value

string

### NamespaceId

    public string? NamespaceId { get; set; }

#### Property Value

string

### UniversalId

    public string? UniversalId { get; set; }

#### Property Value

string

### UniversalIdType

    public string? UniversalIdType { get; set; }

#### Property Value

string